# Interface ArrayWrappedCollectionProperties

Properties that can be passed into the ArrayWrappedCollection constructor.

interface ArrayWrappedCollectionProperties {
arrayProperty: string;
parent: Observable;
targetProperty?: string;
}

#####
Index

### Properties

arrayProperty
parent
targetProperty?

##
Properties

### arrayProperty

arrayProperty: string

The path to the array to be wrapped by the collection. If targetProperty is not specified, the path is relative to the parent; otherwise, the path is relative to the parent[targetProperty].

### parent

parent: Observable

The parent of the ArrayWrappedCollection. If a targetProperty is not specified, then the arrayProperty is accessed/watched directly off the parent.

### `Optional` targetProperty

targetProperty?: string

An optional path to another Accessor, relative to the parent, that owns the array being wrapped.